com.jscape.inet.httpssh

## Class HttpSsh

- java.lang.Object
- - com.jscape.inet.http.Http
  - - com.jscape.inet.httpssh.HttpSsh

- All Implemented Interfaces:
    java.io.Serializable

      public class HttpSsh
      extends Http

  Implements the basic functionality of a HTTP client tunnelling data through a secure SSH connection.

  Example Usage:

            // create SSH connection parameters
            SshParameters sshParams = new SshParameters(sshHostname,sshUsername,sshPassword);

            // create new HttpSsh instance
            HttpSsh http = new HttpSsh(sshParams);

            // build HTTP request
            HttpRequest request = new HttpRequest("http://www.myserver.com");

            // get HTTP response
            try
           {
            HttpResponse response = http.getResponse(request);
            System.out.println(new String(response.getBody()));
           }
            catch(Exception e)
           {
            System.out.println(e);
           }

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpSsh()` Creates a new HttpSsh instance.
    `HttpSsh(SshParameters sshParameters)` Creates a new HttpSsh instance.

  - ### Method Summary

    - ### Methods inherited from class com.jscape.inet.http.Http

      `addHttpListener, clearProxySettings, getDebugStream, getMaxDataSize, getReadBlockSize, getResponse, getResponse, getResponseToFile, getTimeout, getWriteBlockSize, isDebug, removeHttpListener, setDebug, setDebugStream, setMaxDataSize, setProxyAuthentication, setProxyHost, setProxyType, setReadBlockSize, setTimeout, setWriteBlockSize`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpSsh

          public HttpSsh()

      Creates a new HttpSsh instance.

    - #### HttpSsh

          public HttpSsh(SshParameters sshParameters)

      Creates a new HttpSsh instance.
      Parameters:
        `sshParameters` -

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved